Bug 17800 - Add admin sidebar menu to marc-subfields-structure.pl
Summary: Add admin sidebar menu to marc-subfields-structure.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-21 02:59 UTC by Aleisha Amohia
Modified: 2017-01-15 17:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17800: Add admin sidebar menu to marc-subfields-structure.pl (1.74 KB, patch)
2016-12-21 03:02 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17800: Add admin sidebar menu to marc-subfields-structure.pl (1.80 KB, patch)
2016-12-21 16:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17800: Add admin sidebar menu to marc-subfields-structure.pl (1.79 KB, patch)
2016-12-30 18:53 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-12-21 02:59:06 UTC

    
Comment 1 Aleisha Amohia 2016-12-21 03:02:57 UTC
Created attachment 58332 [details] [review]
Bug 17800: Add admin sidebar menu to marc-subfields-structure.pl

Adding to marc-subfields-structure because auth-subfields-structure has
it, so I assume it was just missed when the admin-menu was added.

To test:
1) Go to admin -> MARC bibliographic frameworks -> Actions for any
framework -> MARC structure -> Actions for any tag -> Subfields
2) Notice no admin-menu on the side
3) Apply patch and refresh page
4) Notice admin-menu now shows

Note: the link in the sidebar menu for MARC bibliographic frameworks
does not show as active (bold) from this page. This is fixed in Bug
17794

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2016-12-21 16:44:54 UTC
Created attachment 58364 [details] [review]
[SIGNED-OFF] Bug 17800: Add admin sidebar menu to marc-subfields-structure.pl

Adding to marc-subfields-structure because auth-subfields-structure has
it, so I assume it was just missed when the admin-menu was added.

To test:
1) Go to admin -> MARC bibliographic frameworks -> Actions for any
framework -> MARC structure -> Actions for any tag -> Subfields
2) Notice no admin-menu on the side
3) Apply patch and refresh page
4) Notice admin-menu now shows

Note: the link in the sidebar menu for MARC bibliographic frameworks
does not show as active (bold) from this page. This is fixed in Bug
17794

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2016-12-27 15:52:38 UTC
I personally prefer the existing view (less info on a screen where there is already a lot of info), I'd like to get another opinion.
Comment 4 Kyle M Hall 2016-12-30 18:53:16 UTC
Created attachment 58547 [details] [review]
Bug 17800: Add admin sidebar menu to marc-subfields-structure.pl

Adding to marc-subfields-structure because auth-subfields-structure has
it, so I assume it was just missed when the admin-menu was added.

To test:
1) Go to admin -> MARC bibliographic frameworks -> Actions for any
framework -> MARC structure -> Actions for any tag -> Subfields
2) Notice no admin-menu on the side
3) Apply patch and refresh page
4) Notice admin-menu now shows

Note: the link in the sidebar menu for MARC bibliographic frameworks
does not show as active (bold) from this page. This is fixed in Bug
17794

Sponsored-by: Catalyst IT

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2017-01-07 23:27:03 UTC
I like the consistency - we already have the sidebar menu for subfields on authority types.
Comment 6 Kyle M Hall 2017-01-13 11:41:04 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 7 Katrin Fischer 2017-01-15 17:24:44 UTC
This won't get ported back to 16.11.x as it is an enhancement.